
<!DOCTYPE html>
<html lang="es"><head>
        <meta charset="utf-8">
        <title>Wings Mobile - Upgrade Plan</title>
        <meta name="keywords" content="">
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
        <!-- Styles -->
        <link href="http://beta.wingsmobile.net/css/font-awesome.min.css" rel="stylesheet" type="text/css">        
        <link href="http://beta.wingsmobile.net/css/bootstrap.min.css" rel="stylesheet">
        <link href="http://beta.wingsmobile.net/css/checking-bonus.css" rel="stylesheet">
        <style>
            #be-first {
                background: url(http://web.wingsmobile.net/img/be-the-first-bg.jpg) #231f20 no-repeat center center fixed;
                min-height: 1500px;
                -webkit-background-size: cover;
                -moz-background-size: cover;
                -o-background-size: cover;
                background-size: cover;
                height:100%;                
            }

            body{
                color: white;
            }
        </style>
    </head>

    <body>
        <section id="be-first" class="">
            <div class="container">
                <br/>
                <br/>
                <br/>
                <br/>
                <br/>
                <br/>
                <div class="row text-center">
                    <h4>Kit Upgrade - Financiación</h4>
                </div>

                <div th:if="${step == '1'}">
                    <div class="row">
                        <form method="POST">
                            <h6 class="text-center">Ingrese sus datos personales y el plan al que desea actualizar</h6>
                            <br/>
                            <label labelFor="username">Ingrese nombre de usuario o dirección de correo electrónico</label>
                            <input id="username" type="text" name="username" placeholder="ej: 0477635963 o ejemplo@email.com" class="form-control"/>
                            <br/>
                            <label labelFor="password">Ingrese la contraseña de su backoffice</label>
                            <input id="code" type="password" name="password" class="form-control"/>
                            <br/>

                            <input type="checkbox" name="kit" id="plan1">
                            <label labelFor="plan1">UPGRADE STARTER to FOUNDER €1750.00</label>
                            <br/>

                            <div class="pull-right">
                                <button class="btn btn-success" type="submit">Financiar</button>
                            </div>
                        </form>
                    </div>
                </div>

                <div th:if="${step == '2'}">


                    <form action="https://pmt.pagantis.com/v1/installments" method="post" id="pagaForm">

                        <!--Parámetros de Configuración -->
                        <input name="account_id" type="hidden" th:value="${account}" />
                        <input name="order_id" type="hidden" th:value="${requestId}" />
                        <input name="amount" type="hidden" th:value="${amount}" />
                        <input name="currency" type="hidden" th:value="EUR" />
                        <input name="description" type="hidden" th:value="${desc}" />
                        <input name="ok_url" type="hidden" th:value="${okUrl}" />
                        <input name="nok_url" type="hidden" th:value="${koUrl}" />
                        <input name="callback_url" type="hidden" th:value="${callback}">
                        <input name="locale" type="hidden" value="es" />
                        <input name="signature" type="hidden" th:value="${signature}" />

                        <!--Datos para autorellenar el formulario -->
                        <input name="full_name" type="hidden" th:value="${member}">
                        <input name="email" type="hidden" th:value="${member.email}">
                        <input name="dni" type="hidden" th:value="${member.dni}">
                        <input name="mobile_phone" type="hidden" th:value="${member.phone}">
                        <input name="address[street]" type="hidden" th:value="${member.street}">
                        <input name="address[city]" type="hidden" th:value="${member.city}">
                        <input name="address[zipcode]" type="hidden" th:value="${member.postal}">
                        
                    </form>
                </div>


            </div>
        </section>
    </body>
</html>
